geometry = magnet.geo
mesh = magnet.vol.gz


define constant geometryorder = 4
# define constant heapsize = 100000000

define constant mu0 = 1.257e-7

# nu = 1/mu with mu permeability
define coefficient nu
(1/(1000*mu0)), (1/mu0), 


# artificial conductivity for regularization
define coefficient sigma
1e-5, 1e-5,


# magnetization
define coefficient mag
(1,0,0), (0,0,0)


define fespace v -type=hcurlho -order=4 -nograds # -dirichlet=[1]

define gridfunction u -fespace=v  -novisual

define linearform f -fespace=v
curledge mag  -definedon=1


define bilinearform a -fespace=v -symmetric
curlcurledge nu 
massedge sigma



define preconditioner c -type=multigrid -bilinearform=a  -smoother=block
# define preconditioner c -type=bddc -bilinearform=a


numproc bvp np1 -bilinearform=a -linearform=f -gridfunction=u -preconditioner=c  -prec=1e-9



define bilinearform acurl -fespace=v -symmetric -nonassemble
curlcurledge nu 
numproc drawflux np5 -bilinearform=acurl -solution=u  -label=flux


numproc visualization npv1 -vectorfunction=flux -clipsolution=vector -subdivision=2 -clipvec=[0,1,0] -nolineartexture

