geometry = wave.in2d
mesh = wave.vol.gz
# geometry = wave_obstacle.in2d
# mesh = wave_obstacle.vol.gz


define constant heapsize = 10000000

# for curved elements
define constant geometryorder = 3

define constant one = 1

define constant omega = 50

define coefficient cmass (-omega*omega)
define coefficient crobin (-I*omega)

define coefficient csource 
0, 1, 

define fespace v  -type=h1ho -order=5 -complex  -dirichlet=[3]

define gridfunction u -fespace=v

define linearform f -fespace=v
source csource


define bilinearform a -fespace=v -symmetric 
laplace one
mass cmass
robin crobin

define preconditioner c -type=direct -bilinearform=a


numproc bvp np1 -bilinearform=a -linearform=f -gridfunction=u -preconditioner=c -maxsteps=1000 


# visualization dialog box setting
numproc visualization npv1 -scalarfunction=u -subdivision=3 -nolineartexture -maxval=2e-5 -minval=-2e-5



